## hb-deprecated

hb-deprecated — Deprecated API

## Functions

hb_bool_t | (*hb_font_get_glyph_func_t) ()
hb_bool_t | hb_ot_layout_table_find_script ()
unsigned int | (*hb_unicode_eastasian_width_func_t) ()
unsigned int | (*hb_unicode_decompose_compatibility_func_t) ()
void | hb_font_funcs_set_glyph_v_kerning_func ()
hb_position_t | hb_font_get_glyph_v_kerning ()

## Types and Values

#define | HB_BUFFER_FLAGS_DEFAULT
#define | HB_BUFFER_SERIALIZE_FLAGS_DEFAULT
#define | HB_SCRIPT_CANADIAN_ABORIGINAL
#define | HB_MATH_GLYPH_PART_FLAG_EXTENDER
#define | HB_OT_VAR_NO_AXIS_INDEX
| hb_ot_var_axis_t
#define | HB_UNICODE_MAX_DECOMPOSITION_LEN
typedef | hb_font_get_glyph_v_kerning_func_t

## Includes

    #include <hb.h>

## Description

These API have been deprecated in favor of newer API, or because they were deemed unnecessary.

## Functions

### hb_font_get_glyph_func_t ()

    hb_bool_t
    (*hb_font_get_glyph_func_t) (hb_font_t *font,
                                 void *font_data,
                                 hb_codepoint_t unicode,
                                 hb_codepoint_t variation_selector,
                                 hb_codepoint_t *glyph,
                                 void *user_data);

`hb_font_get_glyph_func_t` is deprecated and should not be used in newly-written code.

### hb_ot_layout_table_find_script ()

    hb_bool_t
    hb_ot_layout_table_find_script (hb_face_t *face,
                                    hb_tag_t table_tag,
                                    hb_tag_t script_tag,
                                    unsigned int *script_index);

Fetches the index if a given script tag in the specified face's GSUB table or GPOS table.

#### Parameters

face | hb_face_t to work upon |
table_tag | HB_OT_TAG_GSUB or HB_OT_TAG_GPOS |
script_tag | hb_tag_t of the script tag requested |
script_index | The index of the requested script tag. | [out]

#### Returns

`true` if the script is found, false otherwise

### hb_unicode_eastasian_width_func_t ()

    unsigned int
    (*hb_unicode_eastasian_width_func_t) (hb_unicode_funcs_t *ufuncs,
                                          hb_codepoint_t unicode,
                                          void *user_data);

`hb_unicode_eastasian_width_func_t` has been deprecated since version 2.0.0 and should not be used in newly-written code.

### hb_unicode_decompose_compatibility_func_t ()

    unsigned int
    (*hb_unicode_decompose_compatibility_func_t)
                                   (hb_unicode_funcs_t *ufuncs,
                                    hb_codepoint_t u,
                                    hb_codepoint_t *decomposed,
                                    void *user_data);

`hb_unicode_decompose_compatibility_func_t` has been deprecated since version 2.0.0 and should not be used in newly-written code.

Fully decompose `u` to its Unicode compatibility decomposition. The codepoints of the decomposition will be written to `decomposed` . The complete length of the decomposition will be returned.

If `u` has no compatibility decomposition, zero should be returned.

The Unicode standard guarantees that a buffer of length `HB_UNICODE_MAX_DECOMPOSITION_LEN` codepoints will always be sufficient for any compatibility decomposition plus an terminating value of 0. Consequently, `decompose` must be allocated by the caller to be at least this length. Implementations of this function type must ensure that they do not write past the provided array.

#### Parameters

ufuncs | a Unicode function structure |
u | codepoint to decompose |
decomposed | address of codepoint array (of length `HB_UNICODE_MAX_DECOMPOSITION_LEN`) to write decomposition into |
user_data | user data pointer as passed to `hb_unicode_funcs_set_decompose_compatibility_func()` |

#### Returns

number of codepoints in the full compatibility decomposition of `u` , or 0 if no decomposition available.

### hb_font_funcs_set_glyph_v_kerning_func ()

    void
    hb_font_funcs_set_glyph_v_kerning_func
                                   (hb_font_funcs_t *ffuncs,
                                    hb_font_get_glyph_v_kerning_func_t func,
                                    void *user_data,
                                    hb_destroy_func_t destroy);

`hb_font_funcs_set_glyph_v_kerning_func` has been deprecated since version 2.0.0 and should not be used in newly-written code.

#### Parameters

ffuncs | font functions. |
func | . | [closure user_data][destroy destroy][scope notified]

Since: 0.9.2

### hb_font_get_glyph_v_kerning ()

    hb_position_t
    hb_font_get_glyph_v_kerning (hb_font_t *font,
                                 hb_codepoint_t top_glyph,
                                 hb_codepoint_t bottom_glyph);

`hb_font_get_glyph_v_kerning` has been deprecated since version 2.0.0 and should not be used in newly-written code.

Fetches the kerning-adjustment value for a glyph-pair in the specified font, in vertical text segments.

It handles legacy kerning only (as returned by the corresponding hb_font_funcs_t function).

#### Parameters

font | hb_font_t to work upon |
top_glyph | The glyph ID of the top glyph in the glyph pair |
bottom_glyph | The glyph ID of the bottom glyph in the glyph pair |

#### Returns

The kerning adjustment value

Since: 0.9.2

## Types and Values

### HB_BUFFER_FLAGS_DEFAULT

    #define HB_BUFFER_FLAGS_DEFAULT			HB_BUFFER_FLAG_DEFAULT

`HB_BUFFER_FLAGS_DEFAULT` is deprecated and should not be used in newly-written code.

### HB_BUFFER_SERIALIZE_FLAGS_DEFAULT

    #define HB_BUFFER_SERIALIZE_FLAGS_DEFAULT HB_BUFFER_SERIALIZE_FLAG_DEFAULT

`HB_BUFFER_SERIALIZE_FLAGS_DEFAULT` is deprecated and should not be used in newly-written code.

### HB_SCRIPT_CANADIAN_ABORIGINAL

    #define HB_SCRIPT_CANADIAN_ABORIGINAL		HB_SCRIPT_CANADIAN_SYLLABICS

`HB_SCRIPT_CANADIAN_ABORIGINAL` is deprecated and should not be used in newly-written code.

### HB_MATH_GLYPH_PART_FLAG_EXTENDER

    #define HB_MATH_GLYPH_PART_FLAG_EXTENDER HB_OT_MATH_GLYPH_PART_FLAG_EXTENDER

`HB_MATH_GLYPH_PART_FLAG_EXTENDER` is deprecated and should not be used in newly-written code.

### HB_OT_VAR_NO_AXIS_INDEX

    #define HB_OT_VAR_NO_AXIS_INDEX		0xFFFFFFFFu

`HB_OT_VAR_NO_AXIS_INDEX` has been deprecated since version 2.2.0 and should not be used in newly-written code.

Since: 1.4.2

### hb_ot_var_axis_t

    typedef struct {
      hb_tag_t tag;
      hb_ot_name_id_t name_id;
      float min_value;
      float default_value;
      float max_value;
    } hb_ot_var_axis_t;

`hb_ot_var_axis_t` has been deprecated since version 2.2.0 and should not be used in newly-written code.

Since: 1.4.2

### HB_UNICODE_MAX_DECOMPOSITION_LEN

    #define HB_UNICODE_MAX_DECOMPOSITION_LEN (18+1) /* codepoints */

`HB_UNICODE_MAX_DECOMPOSITION_LEN` has been deprecated since version 2.0.0 and should not be used in newly-written code.

See Unicode 6.1 for details on the maximum decomposition length.

### hb_font_get_glyph_v_kerning_func_t

    typedef hb_font_get_glyph_kerning_func_t hb_font_get_glyph_v_kerning_func_t;

`hb_font_get_glyph_v_kerning_func_t` is deprecated and should not be used in newly-written code.